package jesse.keeblarcraft.FactionMgr.Callbacks;

import net.fabricmc.fabric.api.event.Event;
import net.fabricmc.fabric.api.event.EventFactory;
import net.minecraft.entity.player.PlayerEntity;
import net.minecraft.util.ActionResult;
import net.minecraft.world.World;

public interface PlayerCommandFlightCallback {
    Event<PlayerCommandFlightCallback> EVENT = EventFactory.createArrayBacked(PlayerCommandFlightCallback.class,
    (listeners) -> (player, world) -> {
        for (PlayerCommandFlightCallback listener : listeners) {
            ActionResult result = listener.interact(player, world);

            if (result != ActionResult.PASS) {
                return result;
            }
        }

        return ActionResult.PASS;
    });

    ActionResult interact(PlayerEntity player, World world);
}
